package com.sh.djpk.econsole.rest.dao;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;

@SuppressWarnings("rawtypes")
public interface MonitoringDao {

	List<HashMap> getNationalMonitoring(@Param("tahun") String tahun);
	
	List<HashMap> getHeaderProvinceMonitoring(@Param("tahun") String tahun, @Param("prov_id") String prov_id);
	
	List<HashMap> getDetailProvinceMonitoring(@Param("tahun") String tahun, @Param("prov_id") String prov_id);
	
	List<HashMap> getPemdaMonitoring(@Param("tahun") String tahun, @Param("pemda_id") String pemda_id);
	
}
